html,
body {
    height: 100%;
}

html:has(.admin-bar) {
    height: calc(100% - 46px);
}

@media (min-width: 782px) {
    html:has(.admin-bar) {
        height: calc(100% - 32px);
    }
}

.wp-site-blocks {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 100%;
    min-height: 100%;
	overflow-x: hidden;
}

.wp-site-blocks > * {
    margin: 0;
}